import { DescriptorItem } from './descriptors.js';
export interface WalletConfig {
    disable_private_keys?: boolean;
    blank?: boolean;
    passphrase?: string;
    avoid_reuse?: boolean;
    descriptors?: boolean;
    load_on_startup?: boolean;
    external_signer?: boolean;
}
export interface WalletList {
    wallets: [{
        name: string;
    }];
}
export interface WalletResponse {
    name: string;
    warning: string;
}
export interface WalletInfo {
    wallet_name: string;
    descriptors: DescriptorItem[];
}
export interface UTXO {
    txid: string;
    vout: number;
    address: string;
    label: string;
    scriptPubKey: string;
    amount: number;
    confirmations: number;
    spendable: boolean;
    solvable: boolean;
    desc: string;
    parent_descs: string[];
    safe: boolean;
    sats: number;
}
//# sourceMappingURL=wallet.d.ts.map